libbz2-1.0_1.0.6-9ubuntu0.19.04.1_i386.deb


Advertisement

Description

libbz2-1.0 - high-quality block-sorting file compressor library - runtime

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Updates Main i386
Package filename libbz2-1.0_1.0.6-9ubuntu0.19.04.1_i386.deb
Package name libbz2-1.0
Package version 1.0.6
Package release 9ubuntu0.19.04.1
Package architecture i386
Package type deb
Category libs
Homepage https://web.archive.org/web/20180801004107/http://www.bzip.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 32.16 KB
Installed size 94.00 KB
This package contains libbzip2 which is used by the bzip2 compressor.
bzip2 is a freely available, patent free, data compressor.
bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding.  Compression is generally
considerably better than that achieved by more conventional
LZ77/LZ78-based compressors, and approaches the performance of the PPM
family of statistical compressors.
The archive file format of bzip2 (.bz2) is incompatible with that of its
predecessor, bzip (.bz).

Alternatives

Package Version Architecture Repository
libbz2-1.0_1.0.6-9ubuntu0.19.04.1_amd64.deb 1.0.6 amd64 Ubuntu Updates Main
libbz2-1.0_1.0.6-9_i386.deb 1.0.6 i386 Ubuntu Main
libbz2-1.0_1.0.6-9_amd64.deb 1.0.6 amd64 Ubuntu Main
libbz2-1.0 - - -

Requires

Name Value
libc6 >= 2.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libbz2-1.0_1.0.6-9ubuntu0.19.04.1_i386.deb
Source Package bzip2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libbz2-1.0 deb package:
    # sudo apt-get install libbz2-1.0

Files

Path
/lib/i386-linux-gnu/libbz2.so.1
/lib/i386-linux-gnu/libbz2.so.1.0
/lib/i386-linux-gnu/libbz2.so.1.0.4
/usr/share/doc/libbz2-1.0/changelog.Debian.gz
/usr/share/doc/libbz2-1.0/copyright

Changelog

2019-07-04 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
bzip2 (1.0.6-9ubuntu0.19.04.1) disco-security; urgency=medium
* SECURITY REGRESSION: bzip2 update for CVE-2019-12900 causes some files raises
incorrect CRC error. (LP: #1834494)
- debian/patches/Accept-as-many-selectors-as-selectors*.patch
2019-06-24 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
bzip2 (1.0.6-9ubuntu0.19.04) disco-security; urgency=medium
* SECURITY UPDATE: out-of-bounds write
- debian/patches/CVE-2019-12900.patch: make sure
nSelectors is not out of range in decompress.c.
- CVE-2019-12900
2018-08-14 - Anthony Fok <foka@debian.org>
bzip2 (1.0.6-9) unstable; urgency=medium
[ Santiago Ruano Rincón ]
* debian/control: use secure Vcs- urls.
* Bump Standards-Version to 3.9.8. No changes needed.
* Add 40-bzdiff-l.patch: bzdiff properly passes -I option to diff.
Patch from Ubuntu.
[ Nicolas Boulenguez ]
* Allow -doc package to satisfy Multi-Arch: foreign dependencies.
Remove duplicate Section: and Priority:.
* Refresh patches without all timestamp noise.
* Document some patches.
* Add basic runtime test.
* Split bzdiff-tmpdir-spaces.diff out of 20-legacy.patch.
* Split bzip2recover-race-open-output.diff out of 20-legacy.patch.
* Standards-Version 4.1.4.
* Generate the manual during build instead of embedding it in a patch.
* Do not add trailing blank spaces in patches.
* Split bzexe out of 20-legacy.patch.
Whether bzexe is suggested upstream or maintained in Debian forever,
it will be easyer to manage as a normal file than as an upstream patch.
* Split the patch documenting --help option.
* Pass -D_REENTRANT via CPPFLAGS instead of a patch.
The patch only makes upstream handle CPPFLAGS, which may be accepted
independently of the shared library.
* Split quoting of XML special characters from 20-legacy.diff.
* Split the patch building a shared library and handling build flags.
* Fix split of bzexe, install it to /bin/.
* Drop Postscript documentation.
Regeneration of the PS/PDF files fails with interesting messages in
the LaTeX log. Since Debian policy recommends HTML as the default
documentation format, and we are able to regenerate this HTML from the
patched source, it is probably better to provide only this format.
[ Anthony Fok ]
* Point Vcs-* URLs to salsa.debian.org.
* Bump Standards-Version to 4.2.0 (no change).
* Change Homepage to that archived on web.archive.org because the
bzip.org domain has expired and may change hands, as reported
at https://lwn.net/Articles/762264/.  (Closes: #905823)
* Disable debian/watch as bzip.org has expired and may change hands.
* Revise bzip2 package description and remove performance comparison
with other compression software.  (Closes: #636184)
* Revert to using pristine upstream manual.{html,ps} documentation
without rebuilding, and install manual.pdf too.
* Add myself to the list of Uploaders.
2017-01-29 - Ben Hutchings <ben@decadent.org.uk>
bzip2 (1.0.6-8.1) unstable; urgency=medium
* Non-maintainer upload.
* bzip2recover: Fix potential use-after-free, Closes: #827744 (CVE-2016-3189)
2015-05-19 - Santiago Ruano Rincón <santiago@debian.org>
bzip2 (1.0.6-8) unstable; urgency=medium
* Remove Jorge Ernesto Guevara Cuenca from Uploaders, as agreed with him.
* Drop unused Build-Depends: gcc-multilib. Thanks to Helmut Grohne
<helmut@subdivi.de>. Closes: #778640
* Bump Standards-Version to 3.9.6. No changes needed.
2014-07-31 - Santiago Ruano Rincón <santiago@debian.org>
bzip2 (1.0.6-7) unstable; urgency=medium
* d/control: Remove useless lib{32,64}bz2* transition fields
(Conflicts/Replaces/Provides).

See Also

Package Description
libbz2-dev_1.0.6-9ubuntu0.19.04.1_i386.deb high-quality block-sorting file compressor library - development
libcc1-0_9.1.0-2ubuntu2~19.04_i386.deb GCC cc1 plugin for GDB
libcephfs-dev_13.2.6-0ubuntu0.19.04.4_i386.deb Ceph distributed file system client library (development files)
libcephfs2_13.2.6-0ubuntu0.19.04.4_i386.deb Ceph distributed file system client library
libcib-dev_1.1.18-2ubuntu1.19.04.1_i386.deb cluster resource manager CIB library development
libcib4_1.1.18-2ubuntu1.19.04.1_i386.deb cluster resource manager CIB library
libclamav-dev_0.101.4+dfsg-0ubuntu0.19.04.1_i386.deb anti-virus utility for Unix - development files
libclamav9_0.101.4+dfsg-0ubuntu0.19.04.1_i386.deb anti-virus utility for Unix - library
libcom-err2_1.44.6-1ubuntu0.1_i386.deb common error description library
libcomerr2_1.44.6-1ubuntu0.1_i386.deb transitional package
libcrmcluster-dev_1.1.18-2ubuntu1.19.04.1_i386.deb cluster resource manager cluster library development
libcrmcluster4_1.1.18-2ubuntu1.19.04.1_i386.deb cluster resource manager cluster library
libcrmcommon-dev_1.1.18-2ubuntu1.19.04.1_i386.deb cluster resource manager common library development
libcrmcommon3_1.1.18-2ubuntu1.19.04.1_i386.deb cluster resource manager common library
libcrmservice-dev_1.1.18-2ubuntu1.19.04.1_i386.deb cluster resource manager service library development
Advertisement
Advertisement